# IRremoteESP8266: src/ir_Lutron.cpp File Reference

ir_Lutron.cpp File Reference

Support for Lutron protocols. More...

## Variables

const uint16_t | kLutronTick = 2288
const uint32_t | kLutronGap = 150000
const uint16_t | kLutronDelta = 400

## Detailed Description

Support for Lutron protocols.

Note
  The Lutron protocol uses a sort of Run Length encoding to encode its data. There is no header or footer per-se. As a mark is the first data we will notice, we always assume the First bit of the technically 36-bit protocol is '1'. So it is assumed, and thus we only care about the 35 bits of data.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/515
  http://www.lutron.com/TechnicalDocumentLibrary/048158.doc

## Variable Documentation

## kLutronDelta

const uint16_t kLutronDelta = 400

## kLutronGap

const uint32_t kLutronGap = 150000

## kLutronTick

const uint16_t kLutronTick = 2288